Skip site navigation (1) Skip section navigation (2)

Re: [INTERFACES] libpgtcl.so.2.0

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: "Collin F(dot) Lynch" <clynch(at)water2(dot)cs(dot)umass(dot)edu>
Cc: lockhart(at)alumni(dot)caltech(dot)edu, pgsql-interfaces(at)postgreSQL(dot)org
Subject: Re: [INTERFACES] libpgtcl.so.2.0
Date: 1999-07-30 23:09:05
Message-ID: 12607.933376145@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-interfaces
"Collin F. Lynch" <clynch(at)water2(dot)cs(dot)umass(dot)edu> writes:
> 	I am now attempting to execute my 
> script in pgtclsh and am being told:
	
> 	Connection to database failed
> 	Unsupported frontend protocol.
> 	    while executing
> 	"pg_connect $Database -host $Host"
	
> 	The Server in QUestion is 6.5-1 running on a pure Redhat 6.0 (intel) box.

I'll bet a nickel that your client is actually connecting to your 6.3
server, not the 6.5 one.  Check host names, port numbers, TCP vs
Unix-socket protocol.  One conclusive check is to see which postmaster's
error log gets a copy of the "unsupported protocol" gripe...

			regards, tom lane

pgsql-interfaces by date

Next:From: SpirouDate: 1999-07-31 02:08:01
Subject: Web Hosting with Python, PostgreSQL ?
Previous:From: Collin F. LynchDate: 1999-07-30 19:35:52
Subject: Re: [INTERFACES] libpgtcl.so.2.0

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group